
Orangutan - Enhancement #604

Support aliases for user requests

25 Jun 2010 20:43 - Andriy Lesyuk

Status: Closed Start date: 10 Sep 2010

Priority: Major Due date: 21 Sep 2010

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.03   

Description

What about this:

Orangutan could support aliases of requests...

Saying user tells:

User: When I type "TODO" treat is as "Show my issues for Orangutan" 

Orangutan: Ok, I will.

 

So when Orangutan receives a message from user it checks aliases list and if the message is present there “translates” request to

what user specified.

This would be something similar to bash shell aliases (if you know what is this).

In other words aliases will allow you to specify short quesries for the queries you use often.

So what do you say? 

History

#1 - 26 Aug 2010 20:11 - Andriy Lesyuk

- Target version set to 1.03

#2 - 26 Aug 2010 20:18 - Andriy Lesyuk

This can be a very useful context...

Examples:

User: Treat "cc" as "cold calls on #150"...

Orangutan: Ok. I will.

User: cc since 19:00

Orangutan: Got it!.. I hope this task is not very complex...

 

User: Treat "Development" as "My main activity is Development"...

Orangutan: Ok. I will.
#3 - 10 Sep 2010 12:05 - Andriy Lesyuk

- Start date set to 10 Sep 2010

- Status changed from Open to In Progress

#4 - 13 Sep 2010 16:53 - Andriy Lesyuk

- % Done changed from 0 to 20

#5 - 16 Sep 2010 20:17 - Andriy Lesyuk

- Priority changed from Minor to Major

#6 - 21 Sep 2010 00:36 - Andriy Lesyuk

- Status changed from In Progress to Closed

- Due date set to 21 Sep 2010

- % Done changed from 20 to 100
